clear all
close all

disp(' ');
disp('Input audio file: WAV, stereo, 2 seconds, 44.1 kHz.');
x = wavread('dylan.wav');
disp('Read corresponding MP3 file using mp3read.');
y = mp3read('dylan.mp3');
y = y(1:length(x),:);
disp('Compute SNR for both channels:');
snrL = 10*log10(sum(x(:,1).^2)/sum((x(:,1)-y(:,1)).^2));
snrR = 10*log10(sum(x(:,2).^2)/sum((x(:,2)-y(:,2)).^2));
disp(['SNR (left channel): ' num2str(snrL)]);
disp(['SNR (right channel): ' num2str(snrR)]);
disp('Read MDCT coefficients and window sequence using mp3mdct.');
[mdctL,winseqL] = mp3mdct('dylan.mp3',0);
[mdctR,winseqR] = mp3mdct('dylan.mp3',1);
disp('Synthetise the PCM signal using mp3synth.');
zL = mp3synth(mdctL,winseqL);
zR = mp3synth(mdctR,winseqR);
z = [zL zR];
z = z(1:length(x),:);
disp('Compute SNR between signal given by mp3read and signal given by ');
disp('mp3mdct+mp3synth for both channels:');
snrL = 10*log10(sum(y(:,1).^2)/sum((y(:,1)-z(:,1)).^2));
snrR = 10*log10(sum(y(:,2).^2)/sum((y(:,2)-z(:,2)).^2));
disp(['SNR (left channel): ' num2str(snrL)]);
disp(['SNR (right channel): ' num2str(snrR)]);
disp(' ');